import Request from '../common/request.js';
let request = new Request().http

 
 export function login(data) {
 	 return request('/app/user/login',data,'POST','application/json;charset=UTF-8');
 }
 export function checkLogin(data) {
 	 return request('/app/user/checkLogin',data,'POST','application/json;charset=UTF-8');
 }
 
 export function getCompanyUser(data) {
 	 return request('/app/user/getCompanyUser',data,'GET');
 }
 
 export function getUserInfoByUserId(data) {
 	 return request('/app/user/getUserInfoByUserId',data,'GET');
 }
 export function getAllUsers(data) {
 	 return request('/app/user/getAllUsers',data,'GET');
 }
 export function getUserInfo(data) {
 	 return request('/app/user/getUserInfo',data,'GET');
 }
 
 export function loginByMp(data) {
 	 return request('/app/wx/h5/mp/loginByMp',data,'POST','application/json;charset=UTF-8');
 }
 // 成为会员
 export function registerCourses(data) {
 	 return request('/app/fs/user/beMember',data,'POST','application/json;charset=UTF-8');
 }
 export function setUserInfo(data) {
 	 return request('/app/user/setUserInfo',data,'POST','application/json;charset=UTF-8');
 }
 //微信小程序登录
 export function loginByMiniApp(data) {
 	 return request('/app/wx/miniapp/login',data,'POST','application/json;charset=UTF-8');
 }
 
